/** https://core.telegram.org/bots/api#markdownv2-style */
export declare const parse_mode = "MarkdownV2";
/** Escape the input text to be displayed as it is */
export declare function escape(text: string): string;
/** Format the input text bold */
export declare function bold(text: string): string;
/** Format the input text italic */
export declare function italic(text: string): string;
/** Strikethrough the input text */
export declare function strikethrough(text: string): string;
/** Underline the input text */
export declare function underline(text: string): string;
/** Format the input text as blockquote */
export declare function blockquote(text: string): string;
/** Format the input text as spoiler */
export declare function spoiler(text: string): string;
/** Create a custom Telegram Emoji.
 *
 * A valid emoji must be used as the fallback. The emoji will be shown instead of the custom emoji in places where a custom emoji cannot be displayed (e.g., system notifications) or if the message is forwarded by a non-premium user. It is recommended to use the emoji from the emoji field of the custom emoji sticker.
 * Custom emoji entities can only be used by bots that purchased additional usernames on Fragment.
 */
export declare function tgEmoji(fallback: string, emojiId: string): string;
/** Format the input text as monospace */
export declare function monospace(text: string): string;
/** Format the input text as a monospace block optionally with a programming language */
export declare function monospaceBlock(text: string, programmingLanguage?: string): string;
/** Create an url with a label text */
export declare function url(label: string, url: string): string;
/** Create a user mention with a label text */
export declare function userMention(label: string, userId: number): string;
